> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nerves-hub.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a CA Certificate for an Organization



## OpenAPI

````yaml https://manage.nervescloud.com/api/openapi post /api/orgs/{org_name}/ca_certificates
openapi: 3.0.0
info:
  description: >
    The NervesCloud API gives users full access to their

    Orgs, Products, and corresponding Device fleets.


    The API can be used to integrate with your own systems, providing full
    access to your Product and Device data.


    The API is documented using the OpenAPI 3.0 specification.
  title: NervesCloud API
  version: 2.0.0
servers:
  - url: https://manage.nervescloud.com
    variables: {}
security:
  - bearer_auth: []
tags:
  - description: User authentication and API token creation
    name: Auth
  - description: Organization Certificate Authority management
    name: CA Certificates
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices
  - description: Log lines Devices have sent over the logging extension
    name: Device Logs
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices (short URL)
  - description: Device Certificate management
    name: Device Certificates
  - description: Identities a Device holds on networks NervesHub does not run
    name: Network Identities
  - description: Deployment Group and release management
    name: Deployment Groups
  - description: Firmware uploading and management
    name: Firmwares
  - description: Organization iroh endpoint id registration
    name: Iroh Endpoints
  - description: Organization management
    name: Organizations
  - description: Organization User membership management
    name: Organization Members
  - description: Product management
    name: Products
  - description: Organization Signing Key management
    name: Signing Keys
  - description: Product Support Script management
    name: Support Scripts
  - description: Platform healthcheck
    name: Platform Status
paths:
  /api/orgs/{org_name}/ca_certificates:
    post:
      tags:
        - CA Certificates
      summary: Create a CA Certificate for an Organization
      operationId: NervesHubWeb.API.CACertificateController.create
      parameters:
        - description: Organization Name
          example: example_org
          in: path
          name: org_name
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CACertificateCreationRequest'
        description: CA Certificate creation request body
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CACertificateShowResponse'
          description: CA Certificate response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChangesetErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
      security:
        - bearer_auth: []
components:
  schemas:
    CACertificateCreationRequest:
      description: POST body for creating a CA Certificate
      example:
        cert: base64 encoded certificate
        description: Example CA
        jitp:
          description: Production
          product_id: 33438
          tags:
            - prod
        verification_cert: base64 encoded verification certificate
      properties:
        cert:
          type: string
        description:
          type: string
        jitp:
          properties:
            description:
              type: string
            product_id:
              type: integer
            tags:
              items:
                type: string
              type: array
          type: object
        verification_cert:
          type: string
      required:
        - cert
        - verification_cert
      title: CACertificateCreationRequest
      type: object
    CACertificateShowResponse:
      description: Response schema for a single CA Certificate
      example:
        data:
          description: Example CA
          jitp:
            description: Production
            product_name: ExampleProduct
            tags:
              - prod
          not_after: '2050-04-20T00:33:09Z'
          not_before: '2025-04-20T00:28:09Z'
          serial: '4016688295714810857'
      properties:
        data:
          $ref: '#/components/schemas/CACertificate'
      title: CACertificateShowResponse
      type: object
    ErrorResponse:
      description: Error response
      example:
        errors:
          detail: Resource Not Found or Authorization Insufficient
      properties:
        errors:
          properties:
            detail:
              type: string
          type: object
      title: ErrorResponse
      type: object
    ChangesetErrorResponse:
      description: Validation error response
      example:
        errors:
          identifier:
            - can't be blank
      properties:
        errors:
          additionalProperties:
            items:
              type: string
            type: array
          type: object
      title: ChangesetErrorResponse
      type: object
    CACertificate:
      example:
        description: Example CA
        jitp:
          description: Production
          product_name: ExampleProduct
          tags:
            - prod
        not_after: '2050-04-20T00:33:09Z'
        not_before: '2025-04-20T00:28:09Z'
        serial: '4016688295714810857'
      properties:
        description:
          pattern: '[a-zA-Z][a-zA-Z0-9_]+'
          type: string
        inserted_at:
          description: Creation timestamp
          format: date-time
          type: string
        jitp:
          properties:
            description:
              type: string
            product_name:
              type: string
            tags:
              items:
                type: string
              type: array
          type: object
        not_after:
          description: Certificate expiration timestamp
          format: date-time
          type: string
        not_before:
          description: Certificate valid from timestamp
          format: date-time
          type: string
        serial:
          type: string
        updated_at:
          description: Last updated timestamp
          format: date-time
          type: string
      title: CACertificate
      type: object
  securitySchemes:
    bearer_auth:
      scheme: bearer
      type: http

````